Ecosyste.ms: Advisories

An open API service providing security vulnerability metadata for many open source software ecosystems.

Security Advisories: GSA_kwCzR0hTQS00cjc4LWh4NzUtampqMs39zQ

golang.org/x/net/html has Improper Restriction of Operations within the Bounds of a Memory Buffer

The html package (aka x/net/html) through 2018-09-25 in Go mishandles <svg><template><desc><t><svg></template>, leading to a panic: runtime error (index out of range) in (*nodeStack).pop in node.go, called from (*parser).clearActiveFormattingElements, during an html.Parse call.

Permalink: https://github.com/advisories/GHSA-4r78-hx75-jjj2
JSON: https://advisories.ecosyste.ms/api/v1/advisories/GSA_kwCzR0hTQS00cjc4LWh4NzUtampqMs39zQ
Source: GitHub Advisory Database
Origin: Unspecified
Severity: High
Classification: General
Published: about 2 years ago
Updated: about 2 months ago


CVSS Score: 7.5
CVSS vector: CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Identifiers: GHSA-4r78-hx75-jjj2, CVE-2018-17847
References: Repository: https://github.com/golang/go
Blast Radius: 40.8

Affected Packages

go:golang.org/x/net
Dependent packages: 112,044
Dependent repositories: 276,704
Downloads:
Affected Version Ranges: < 0.0.0-20190125002852-4b62a64f59f7
Fixed in: 0.0.0-20190125002852-4b62a64f59f7
All affected versions:
All unaffected versions: 0.1.0, 0.2.0, 0.3.0, 0.4.0, 0.5.0, 0.6.0, 0.7.0, 0.8.0, 0.9.0, 0.10.0, 0.11.0, 0.12.0, 0.13.0, 0.14.0, 0.15.0, 0.16.0, 0.17.0, 0.18.0, 0.19.0, 0.20.0